<template>
  <div>
    <section id="hero">
      <div class="fr-container fr-pt-6w">
        <div class="fr-grid-row fr-grid-row--gutters">
          <div class="fr-col-lg-8">
            <FrTitle larger
              >Trouver des services numériques simples, sobres et efficaces<br />
              pour votre territoire</FrTitle
            >
            <FrSubTitle>
              Nous accompagnons les territoires vers leur transition numérique
              le plus simplement possible.
            </FrSubTitle>
          </div>
          <img
            class="anct-hero-img"
            src="~/assets/images/illustration_hero.svg"
            alt=""
          />
        </div>
      </div>
    </section>

    <section id="search-services" class="fr-my-10w">
      <div class="fr-container">
        <FrTitle tag="h2"
          >Cherchez les services numériques adaptés à vos enjeux</FrTitle
        >

        <form @submit.prevent="search">
          <FrSearch
            id="home-services-search"
            v-model="searchString"
            placeholder="Cherchez par exemple : site internet"
            large
            bg-blue
            style="max-width: 984px"
          />
        </form>
      </div>
    </section>

    <section
      v-if="events && events.length"
      id="events"
      class="fr-mt-9w anct-bg-blue"
    >
      <div class="fr-container fr-py-7w">
        <FrTitle tag="h2" centered class="fr-pb-2w"
          >Retrouvez-nous pour nos prochains événements !</FrTitle
        >
        <FrCardsContainer cards-centered>
          <FrCard
            v-for="(event, index) in events"
            :key="`event-card--${index}`"
            class="fr-col-lg-4 fr-col-md-12"
          >
            <template #title>{{ event.title }}</template>
            <template #startDetail
              ><p class="fr-badge fr-badge--purple-glycine">
                {{ event.date }}
              </p></template
            >
            <template v-if="event.link" #endDetail>
              <a
                :href="event.link"
                class="fr-btn fr-text--sm fr-grid-row fr-grid-row--middle"
                target="_blank"
                title="Consulter le Forum de l'Incubateur des Territoires"
                >S'INSCRIRE</a
              >
            </template>
          </FrCard>
        </FrCardsContainer>
      </div>
    </section>

    <section id="offre" class="fr-pt-10w">
      <div class="fr-container">
        <FrTitle tag="h2">Notre offre d’accompagnement</FrTitle>

        <div class="fr-grid-row fr-grid-row--gutters fr-grid-row--center">
          <article class="fr-col-lg fr-col-md-8 fr-my-md-2w">
            <div
              class="fr-mb-2w fr-px-3w fr-py-1w fr-grid-row fr-grid-row--center fr-grid-row--middle anct-border-primary anct-offer-card-height anct-border-bottom--blue"
            >
              <img
                class="fr-col"
                src="~/assets/images/illustration_collectivites__2.svg"
                alt=""
                style="height: 75px"
              />
              <p class="fr-my-0 fr-col fr-text--lg">
                <strong
                  >Communes et EPCI de
                  <span class="fr-text-title--blue-france"
                    >petite taille</span
                  ></strong
                >
              </p>
            </div>

            <div>
              <div class="fr-card fr-enlarge-link">
                <div class="fr-card__body">
                  <h4 class="fr-card__title fr-text-title--blue-france">
                    <nuxt-link
                      :to="{ path: '/offre/accompagnement-sur-mesure' }"
                      class="fr-card__link"
                      ><span :aria-hidden="true">🧵 </span>Un accompagnement
                      sur-mesure à la transformation numérique de votre
                      territoire</nuxt-link
                    >
                  </h4>
                  <p class="fr-card__desc">
                    Solliciter gratuitement le diagnostic de l'Incubateur afin
                    d’identifier vos besoins en outillage numérique et les
                    solutions à déployer sur votre territoire.
                  </p>
                </div>
              </div>
            </div>
          </article>

          <article class="fr-col-lg fr-col-md-8 fr-my-md-2w">
            <div
              class="fr-mb-2w fr-px-3w fr-py-1w fr-grid-row fr-grid-row--center fr-grid-row--middle anct-border-primary anct-offer-card-height anct-border-bottom--yellow"
            >
              <img
                class="fr-col"
                src="~/assets/images/illustration_collectivites__1.svg"
                alt=""
                style="height: 75px"
              />
              <p class="fr-my-0 fr-col fr-text--lg">
                <strong
                  >Collectivités de
                  <span class="fr-text-title--blue-france"
                    >toute taille</span
                  ></strong
                >
              </p>
            </div>

            <div>
              <div class="fr-card fr-enlarge-link">
                <div class="fr-card__body">
                  <h4 class="fr-card__title fr-text-title--blue-france">
                    <nuxt-link :to="{ name: 'services' }" class="fr-card__link"
                      ><span :aria-hidden="true">📖 </span>Un catalogue de plus
                      de 50 services numériques en open source
                    </nuxt-link>
                  </h4>
                  <p class="fr-card__desc">
                    Identifier, installer et utiliser les services numériques
                    prêts à être déployés sur votre territoire.
                  </p>
                </div>
              </div>
            </div>
          </article>

          <article class="fr-col-lg fr-col-md-8 fr-my-md-2w">
            <div
              class="fr-mb-2w fr-px-3w fr-py-1w fr-grid-row fr-grid-row--center fr-grid-row--middle anct-border-primary anct-offer-card-height anct-border-bottom--green"
            >
              <img
                class="fr-col"
                src="~/assets/images/logo_france_relance.svg"
                alt=""
                style="height: 75px"
              />
              <p class="fr-my-0 fr-col fr-text--lg">
                <strong
                  >Porteurs de
                  <span class="fr-text-title--blue-france"
                    >services numériques</span
                  ></strong
                >
              </p>
            </div>

            <div>
              <div class="fr-card fr-enlarge-link">
                <div class="fr-card__body">
                  <h4 class="fr-card__title fr-text-title--blue-france">
                    <nuxt-link
                      :to="{ path: '/offre/incubateur-services-numeriques' }"
                      class="fr-card__link"
                    >
                      <span :aria-hidden="true">🛠 </span>Un incubateur de
                      services publics numériques
                    </nuxt-link>
                  </h4>
                  <p class="fr-card__desc">
                    Faire bien, avec les usagers et le plus simplement possible,
                    au service de toutes les collectivités
                  </p>
                  <p class="fr-card__desc">
                    Bénéficier à tout moment d’un soutien pour construire ou
                    améliorer un service numérique s’adressant à des
                    collectivités territoriales ou leurs groupements.
                  </p>
                </div>
              </div>
            </div>
          </article>
        </div>
      </div>
    </section>

    <section id="chiffres" class="anct-bg-blue">
      <div class="fr-container fr-py-6w fr-text-title--blue-france">
        <FrTitle tag="h2">En quelques chiffres</FrTitle>

        <div class="fr-grid-row">
          <p class="fr-col-lg-4 fr-col-md-12">
            <strong class="fr-text-title--blue-france anct-text-xxl"
              >400</strong
            >
            <span class="fr-text--lead">Collectivités accompagnées</span>
          </p>
          <p class="fr-col-lg-4 fr-col-md-12">
            <strong class="fr-text-title--blue-france anct-text-xxl">60</strong>
            <span class="fr-text--lead">Services numériques disponibles</span>
          </p>
          <p class="fr-col-lg-4 fr-col-md-12">
            <strong class="fr-text-title--blue-france anct-text-xxl">10</strong>
            <span class="fr-text--lead">Services en construction</span>
          </p>
        </div>
      </div>
    </section>

    <section id="forum">
      <div class="fr-container fr-py-8w">
        <div class="fr-grid-row">
          <div class="fr-col fr-col-md-8 fr-col-10">
            <FrTitle tag="h2">Besoin d’aide ? D’un contact ?</FrTitle>
            <p>
              Besoin de solliciter de l’aide ou un retour d’expérience auprès
              d’autres collectivités ou de prendre contact avec un service ?
            </p>
            <p class="fr-mb-4w">
              <strong class="fr-text-title--blue-france"
                >Le forum des territoires</strong
              >
              est un outil d’échanges, d’entraide et d’information entre agents
              et élus des collectivités territoriales.
            </p>

            <a
              href="https://forum.incubateur.anct.gouv.fr"
              class="fr-btn fr-text--md fr-grid-row fr-grid-row--middle"
              target="_blank"
              title="Consulter le Forum de l'Incubateur des Territoires"
              @click="trackOutLink('https://forum.incubateur.anct.gouv.fr')"
              >Voir les discussions en cours</a
            >
          </div>
        </div>
      </div>
    </section>

    <section id="comment" class="anct-bg-gray">
      <div class="fr-container fr-py-6w">
        <div class="fr-grid-row fr-grid-row--center">
          <div class="fr-col-lg-8">
            <FrTitle tag="h2" centered black
              >Plus de 200 Collectivités ont déjà adopté nos services</FrTitle
            >

            <FrQuote
              author="Jean-Baptiste Jallet"
              image-path="/images/comment_picture.png"
            >
              <p>
                « On ne développe pas du numérique pour du numérique, ce qui
                nous intéresse c’est le lien avec les gens »
              </p>

              <template #details>
                <li>
                  <cite>Conseiller municipal</cite>
                </li>
                <li><cite>Commune de Rocamadour</cite></li>
              </template>
            </FrQuote>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
import FrTitle from '~/components/ui/Title';
import FrSubTitle from '~/components/ui/SubTitle';
import FrQuote from '~/components/elements/Quote';
import FrSearch from '~/components/form/Search';
import FrCard from '~/components/elements/Card';
import FrCardsContainer from '~/components/elements/CardsContainer';
import { DEFAULT_DATE_FORMAT, LOCALE } from '~/config/locale';
import { trackOutLink } from '~/tools/matomo';

export default {
  name: 'HomePage',

  components: {
    FrSubTitle,
    FrTitle,
    FrQuote,
    FrSearch,
    FrCard,
    FrCardsContainer,
  },

  layout: 'raw',

  async asyncData({ $axios }) {
    const { data: eventsData } = await $axios.get('/items/Evenements', {
      params: {
        filter: { date: { _gte: '$NOW' } },
        sort: 'date',
        limit: 3,
      },
    });

    const events = eventsData.data.map((event) => ({
      ...event,
      date: new Date(event.date).toLocaleString(LOCALE, DEFAULT_DATE_FORMAT),
    }));

    return {
      events,
    };
  },

  data() {
    return {
      searchString: '',
    };
  },

  methods: {
    search() {
      this.$router.push({
        name: 'services',
        query: {
          search: this.searchString,
        },
      });
    },
    trackOutLink,
  },
};
</script>

<style>
.anct-offer-card-height {
  min-height: 150px;
}

.anct-border-bottom--blue {
  border-bottom: 4px solid #000091;
}

.anct-border-bottom--yellow {
  border-bottom: 4px solid #fed131;
}

.anct-border-bottom--green {
  border-bottom: 4px solid #009f79;
}

@media screen and (max-width: 999px) {
  .anct-hero-img {
    display: none;
  }
}
</style>
